using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Ewide.Application
{
    [Table("bs_house_task_check_record")]
    [Comment("房屋任务审核记录表")]
    public class BsHouseTaskCheckRecord : Core.DEntityBase
    {
        /// <summary>
        /// 任务Id
        /// </summary>
        [Comment("任务Id")]
        [MaxLength(36)]
        public string TaskId { get; set; }

        /// <summary>
        /// 通过1；退回-1
        /// </summary>
        [Comment("通过3；退回-1")]
        public int PassOrBack { get; set; }

        /// <summary>
        /// 审核内容
        /// </summary>
        [Comment("审核内容")]
        [MaxLength(500)]
        public string Content { get; set; }
    }
}
